* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
html {
  height: 100%;
  overflow: hidden;
  scroll-behavior: smooth;
}
body {
  position: relative;
  background-color: hsl(60, 10%, 10%);
  color: #fff;
  margin: 0;
  padding: 0;
  height: 100%;
  overflow-y: scroll;
  overflow-x: hidden;
  font-family: 'Barlow Condensed', 'Gill Sans', 'Gill Sans MT', Calibri,
    'Trebuchet MS', sans-serif;
}
header {
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 100;
}
.progress {
  width: 0;
  height: 4px;
  background: linear-gradient(
    45deg,
    rgba(255, 0, 0, 1) 0%,
    rgba(255, 154, 0, 1) 10%,
    rgba(208, 222, 33, 1) 20%,
    rgba(79, 220, 74, 1) 30%,
    rgba(63, 218, 216, 1) 40%,
    rgba(47, 201, 226, 1) 50%,
    rgba(28, 127, 238, 1) 60%,
    rgba(95, 21, 242, 1) 70%,
    rgba(186, 12, 248, 1) 80%,
    rgba(251, 7, 217, 1) 90%,
    rgba(255, 0, 0, 1) 100%
  );
}
.welcome .content {
  transition: opacity 0.75s ease 0s, transform 0.75s ease 0s;
}
.loading .welcome .content {
  opacity: 0;
  transform: translateY(1.6875rem);
}
.welcome * {
  letter-spacing: 0.2em;
  text-align: center;
  margin: 0;
  padding: 1em 0;
}
.welcome h1 {
  font-size: 6vmax;
  text-shadow: 4px 4px 8px rgba(0, 0, 0, 1);
}
.welcome p {
  background-color: hsla(0, 0%, 0%, 0.25);
  font-size: 1.5rem;
}
main {
  background-color: hsl(60, 10%, 10%);
  position: relative;
  z-index: 2;
  min-height: 100vh;
  text-align: center;
  width: 100vw;
}
main p a,
main li a {
  color: #fff;
}
main p a:hover {
  text-decoration: none;
}
.page {
  height: 100vh;
  position: sticky;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  box-shadow: 0 10px 15px #00000060;
  transition: height 500ms ease-out;
}
.page > div {
  width: 90%;
  max-width: 1020px;
  margin: 0 auto;
  padding: 1rem;
  overflow: auto;
}
.page.voorstellen > div {
  width: 100%;
  height: 100%;
  max-width: none;
  margin: 0 auto;
  padding: 0;
  overflow: auto;
}
.page > div::-webkit-scrollbar {
  width: 6px;
}

.page > div::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}

.page > div::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}
.page h3 {
  font-size: 10vw;
  text-shadow: 4px 4px 8px rgba(0, 0, 0, 1);
}
.page h4 {
  margin: 0.5rem 0;
  font-size: 4vw;
  text-shadow: 4px 4px 8px rgba(0, 0, 0, 1);
}
.page p,
.page ul li {
  list-style: none;
  font-size: clamp(1.5rem, 3vw, 1.75rem);
  margin: 1rem 0 0 0;
}
.welcome {
  z-index: 7;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.1)),
    url('../img/jekoen-001.jpg');
  background-size: cover;
  background-position: center 30%;
  background-repeat: no-repeat;
}
.gigs {
  z-index: 6;
  background: radial-gradient(rgba(120, 20, 0, 0.5), rgba(0, 0, 0, 0.75)),
    url('../img/jekoen-002.jpg');
  /* background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.75),
      rgba(0, 0, 0, 0.35)
    ),
    url('../img/jekoen-002.jpg'); */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.over {
  z-index: 5;
  background: radial-gradient(rgba(83, 104, 83, 0.5), rgba(0, 0, 0, 0.75)),
    url('../img/jekoen-007.jpg');
  /* background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.75),
      rgba(0, 0, 0, 0.35)
    ),
    url('../img/jekoen-007.jpg'); */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.voorstellen {
  z-index: 4;
  background: radial-gradient(rgba(0, 0, 0, 0.35), rgba(0, 0, 0, 0.75)),
    url('../img/jekoen-005.jpg');
  /* background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.75),
      rgba(0, 0, 0, 0.35)
    ),
    url('../img/jekoen-005.jpg'); */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.missie {
  z-index: 3;
  background: radial-gradient(rgba(111, 78, 55, 0.5), rgba(0, 0, 0, 0.75)),
    url('../img/jekoen-003.jpg');
  /* background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.75),
      rgba(0, 0, 0, 0.35)
    ),
    url('../img/jekoen-003.jpg'); */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.contact {
  z-index: 2;
  background: radial-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.5)),
    url('../img/jekoen-006.jpg');
  /* background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.75),
      rgba(0, 0, 0, 0.5)
    ),
    url('../img/jekoen-006.jpg'); */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.columns {
  display: flex;
  gap: 2rem;
}
.columns > div {
  flex: 1;
}
#koenEnJeroen {
  width: 50vmax;
  height: 50vmax;
  background-image: url('../img/koen-en-jeroen.jpg');
  background-size: cover;
  background-position: right center;
  border-radius: 50%;
  position: absolute;
  z-index: 999;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  overflow: hidden;
}
#koenEnJeroen img {
  max-width: 100%;
  opacity: 0;
}
#koenEnJeroen.hidden {
  top: -100px;
  visibility: hidden;
}
#koenEnJeroen.move {
  top: 0;
  visibility: visible;
  animation: moveUpWithFade 4s linear normal;
}
@keyframes moveUpWithFade {
  from {
    transform: translateX(5vw) translateY(5vh) rotate(0deg);
    border: 6px solid blue;
    opacity: 0;
  }
  25% {
    transform: translateX(-90vw) translateY(10vh) rotate(30deg);
    border: 6px solid yellow;
    opacity: 1;
  }
  50% {
    transform: translateX(0vw) translateY(30vh) rotate(60deg);
    border: 6px solid red;
    opacity: 1;
  }
  75% {
    transform: translateX(-50vw) translateY(80vh) rotate(30deg);
    border: 6px solid green;
    opacity: 1;
  }
  to {
    transform: translateX(0vw) translateY(0vh) rotate(0deg);
    border: 6px solid white;
    opacity: 0;
  }
}

/* Slider */

.slider-wrapper {
  position: relative;
  width: 100vw;
  height: 100%;
  overflow: hidden;
}
.slider-wrapper .img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  font-size: 10vw;
  color: white;
  text-shadow: 2px 2px 2px black;
  text-align: center;
  overflow: hidden;
}
.slider-wrapper .img.left {
  text-align: left;
}
.slider-wrapper .img.right {
  text-align: right;
}
.slider-wrapper .background-img {
  background-image: url('../img/koen-bij-rik.jpg');
  background-position: left top;
  width: 50%;
  left: 50%;
  background-size: cover;
}
.slider-wrapper .foreground-img {
  background-image: url('../img/jeroen-bij-rik.jpg');
  background-position: right top;
  width: 50%;
  background-size: cover;
}
.slider-wrapper .background-img .sliding-content-title {
  font-family: 'Barlow Condensed';
  text-shadow: 4px 4px 8px rgb(0 0 0);
  text-transform: uppercase;
  display: block;
  transition: margin 0.5s ease-out;
  margin-top: 2rem;
}
.slider-wrapper .foreground-img .sliding-content-title {
  font-family: 'Barlow Condensed';
  text-shadow: 4px 4px 8px rgb(0 0 0);
  display: block;
  margin-right: -38%;
  margin-top: 2rem;
  transition: margin 0.5s ease-out;
}
.slider-wrapper .sliding-content {
  padding: 2rem;
  position: absolute;
  bottom: 20%;
  opacity: 0.5;
  transition: opacity 0.5s ease-out;
  font-size: 0.5rem;
}
.slider-wrapper .slider-back-buttons {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 8rem;
  overflow: hidden;
}
.slider-wrapper .slide-button {
  position: absolute;
  bottom: 1rem;
  left: 1rem;
  z-index: 10;
  font-size: 6vw;
  appearance: none;
  background-color: rgb(0, 0, 0);
  border: none;
  border-radius: 10px;
  padding: 0 5px;
  color: white;
  opacity: 0.4;
  cursor: pointer;
  transition: opacity 0.75s ease-out;
}
.slider-wrapper .background-img .slide-button {
  left: auto;
  right: 1rem;
}
.slider-wrapper .slide-button.inversed {
  left: -10rem;
}
.slider-wrapper .slide-button.inversed.right {
  left: auto;
  right: -10rem;
}
.slider-wrapper .slide-button:hover {
  opacity: 1;
}
.slider-wrapper .slider {
  position: absolute;
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  outline: none;
  margin: 0;
  transition: all 0.2s;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: grab;
}
.slider-wrapper .slider::-webkit-slider-thumb,
.slider-wrapper .slider::-moz-range-thumb,
.slider-wrapper .slider::-ms-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 6px;
  height: 600px;
  background: transparent;
  cursor: pointer;
}

.slider-wrapper .slider::-webkit-slider-runnable-track,
.slider-wrapper .slider::-moz-range-track,
.slider-wrapper .slider::-ms-track {
  -webkit-appearance: none;
  appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}
.slider-wrapper .slider-button {
  pointer-events: none;
  position: absolute;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: white;
  left: calc(50% - 21px);
  top: calc(50% - 21px);
  display: flex;
  justify-content: center;
  align-items: center;
}
.slider-wrapper .slider-button:after {
  content: '';
  padding: 3px;
  display: inline-block;
  border: solid #5d5d5d;
  border-width: 0 2px 2px 0;
  transform: rotate(-45deg);
}
.slider-wrapper .slider-button:before {
  content: '';
  padding: 3px;
  display: inline-block;
  border: solid #5d5d5d;
  border-width: 0 2px 2px 0;
  transform: rotate(135deg);
}
.slider-wrapper .slider-tooltip {
  position: absolute;
  width: 40%;
  background-color: lightyellow;
  color: black;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@media only screen and (max-width: 600px) {
  .page h4 {
    font-size: 6vw;
  }
  .page p.smaller {
    font-size: inherit;
  }
  .columns {
    display: block;
  }
  .slider-wrapper .slide-button {
    font-size: 10vw;
  }
}

/* --- Menu ---- */
.navbar {
  width: 100%;
  color: #000;
  height: 50px;
  z-index: 12;
}

.navbar-container input[type='checkbox'],
.navbar-container .hamburger-lines {
  display: block;
  cursor: pointer;
}

.navbar-container {
  display: block;
  position: relative;
  height: 64px;
}

.navbar-container input[type='checkbox'] {
  position: absolute;
  display: block;
  height: 32px;
  width: 30px;
  top: 20px;
  left: 20px;
  z-index: 5;
  opacity: 0;
}

.navbar-container input[type='checkbox']:checked ~ .menu-items {
  transform: translateX(0);
}

.navbar-container input[type='checkbox']:checked ~ .hamburger-lines .line1 {
  transform: rotate(35deg);
}

.navbar-container input[type='checkbox']:checked ~ .hamburger-lines .line2 {
  transform: scaleY(0);
}

.navbar-container input[type='checkbox']:checked ~ .hamburger-lines .line3 {
  transform: rotate(-35deg);
}

.navbar-container .hamburger-lines {
  display: block;
  height: 23px;
  width: 35px;
  position: absolute;
  top: 17px;
  left: 20px;
  z-index: 2;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.navbar-container .hamburger-lines .line {
  display: block;
  height: 4px;
  width: 100%;
  border-radius: 10px;
  background: #fff;
}

.navbar-container input[type='checkbox']:checked ~ .hamburger-lines .line {
  background: #333;
}

.navbar-container .hamburger-lines .line1 {
  transform-origin: 0% 0%;
  transition: transform 0.4s ease-in-out, background 0.4s ease-in-out;
}

.navbar-container .hamburger-lines .line2 {
  transition: transform 0.2s ease-in-out, background 0.4s ease-in-out;
}

.navbar-container .hamburger-lines .line3 {
  transform-origin: 0% 100%;
  transition: transform 0.4s ease-in-out, background 0.4s ease-in-out;
}

.navbar .menu-items {
  padding-top: 100px;
  background: rgba(255, 255, 255, 0.85);
  height: 100vh;
  max-width: 300px;
  transform: translate(-150%);
  display: flex;
  flex-direction: column;
  margin-left: -40px;
  padding-left: 50px;
  transition: transform 0.5s ease-in-out;
  box-shadow: 5px 0px 10px 0px rgba(0, 0, 0, 0.5);
  overflow: auto;
}

.navbar .menu-items li {
  list-style: none;
  margin-left: 1.5rem;
  margin-bottom: 1.5rem;
  font-size: 40px;
  font-weight: 500;
}

.menu-items button {
  border: none;
  background: none;
  cursor: pointer;
  text-decoration: none;
  color: #000;
  font-weight: 500;
  transition: color 0.3s ease-in-out;
}

.menu-items button:hover {
  color: #5395b4;
  transition: color 0.3s ease-in-out;
}

.moving-icon {
  --iconXPos: 0px;
  --iconYPos: 0px;

  transform: translate3d(var(--iconXPos), var(--iconYPos), 0);

  position: fixed;
  left: 20px;
  top: 10px;
  z-index: 1000;
  pointer-events: none;
  opacity: 0;

  transition: 0.2s ease-out opacity;
}
